kylix bénázás

 ( Anonymous | 2003. április 17., csütörtök - 13:13 )

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Sziasztok!



Következő a problémam.



Felraktam a Kylix 3 Open Edition-t egy woody-ra

Szépen meg.

Ha csinálok a c++ részével egy progit az lefut szépen, ha a Kylix segítségével futtatom.

Ha konzolból szeretném, akkor a következő hibaüzenetet írja ki:



./Project1: error while loading shared libraries: libborqt-6.9.0-qt2.3.so cannot open shared object file: No such file or directory



Ezt azért furcsálom, mert se a "Built with runtime packages nincs bekapcsolva" se a "Use dynamic RTL/STL" és ha csak egy sima form van akkor egy 800 k-nál nagyobb indítható file-t hoz létre.



Mit kéne másként beállítani?



A válaszokat előre is köszi.

Hali!



Engem az érdekelne, hogy hogyan tudtad működésre bírni a C++ fordítót! Nekem semmit nem akar lefordítani woody alatt! Egyszerűen elszáll.

Tudsz segíteni, hogy milyen csomagot tettél fel v. hogyan installtad?

Hali!



Régen nekem is elszált.

Most megy.



Azért leírom hogy raktam fel a woody-t.



A woody-t feltelpítettem az 1. cd-ről (r1-es cd)

semmit nem raktam pluszba fel.



Utána beírtam a /etc/apt/sources.list-be a magyar és az ameriaki debian mirror címét. (lásd még apt-setup) (+ security.debian.org)

Utána frissítés stb.

Kernal fordítás

Utána locales beállítás (mc is magyar, gnome ez után lesz magyar)

Utáns tasksel

Itt kiválasztottam a programozásai részt és X felülethez mindent

Utána feltelpítettem a kde-t (apt-get install kde kde-i18n-hu)

Utána tasksel

Kiválasztottam az Enviroment desktop (remélem így írják) és telepítettem (ezek utána gnome is fent van)

A kdm xdm gdm le lett gyilkolva



Utána eszembe jutott, hogy kéne valami normálisabb levelező progi és felraktam az evolution-t.

Utána felraktam az Openoffice 1.1 beta-t

Utána a Netscape 7.0.2 és a Mozilla 1.4a-t de elötte apt-get install libstdc++*

Utána xmms és mplayer telepítés

Utána letöltöttem a kylix3 oe-t és a javítást és feltelpítettem.



Arra nem emlékszem, hogy a libgtk hogy került fel. Bár lehet hogy gnome-mal együtt.



És azóta működik.



Tud valaki valamilyen címet, ahonnan le lehet tölteni olyan package-et amelyikkel a mysql-t vagy postgreSQL-t lehet használni? Ha lehet igyenes legyen



Köszi

Nézd meg a startbcb vagy a startkylix scripteket. indításkor beállítja, hogy a borland által használt qt libre mutasson. Te is csináld meg így vagy csinálj egy szimlinket rá a /lib-ben. utána ldconfig és mehet a programod.

Use all the advantages of the free Linux operating system, quickly-firing power of SQL queries on MySql, PostgreSql, Interbase, Oracle, Microsoft SQL, and IBM DB2 based platforms

http://sourceforge.net/projects/zeoslib/

Itt a Zeos Database Objects a lenyeges. Egy fel eve fel tudtam tenni, de a Kylix3-hoz nem tudom, mennyire mukodik. Ja es kell meg a freeclx is szinten az sf.net-rol.



Laci

Sziasztok!



A http://kylix.hq.hu oldalon minden kérdésetekre választ kaptok.



Egy kicsit puritán lett az oldal, de ez csak kerdet



Bi bi beeeee